/*
 * main implementation: use this 'C' sample to create your own application
 *
 */


#include "derivative.h" /* include peripheral declarations SSKEAZ128M4 */
#include "ftm.h"

int main(void)
{
	FTM_ConfigType FTM2_Config= {0};
	FTM_ChParamsType FTM2CH0_Config={0},
					 FTM2CH1_Config={0};

	FTM2_Config.clk_source = FTM_CLOCK_SYSTEMCLOCK;
	FTM2_Config.prescaler = FTM_CLOCK_PS_DIV1;
	FTM2_Config.mode = 1;
	FTM2_Config.combine = FTM_COMBINE_COMBINE0_MASK|FTM_COMBINE_COMP0_MASK;
	FTM2_Config.modulo = 10000;

	FTM2CH0_Config.ctrl.bits.bMode = FTM_PWMMODE_COMBINE;
	FTM2CH0_Config.ctrl.bits.bPWMPol=FTM_PWM_HIGHTRUEPULSE;
	FTM2CH0_Config.u16CnV=3000;

	FTM2CH1_Config.ctrl.bits.bMode = FTM_PWMMODE_COMBINE;
	FTM2CH1_Config.u16CnV=3000;

	SIM_PINSEL1 |= SIM_PINSEL1_FTM2PS0(1);

	FTM_ChannelInit(FTM2,0,FTM2CH0_Config);
	FTM_ChannelInit(FTM2,1,FTM2CH0_Config);
	FTM_Init(FTM2,&FTM2_Config);

	while(1);
}
